Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589063 - polkit-gnome-1-WARNING **: Unable to determine the session we are in
Summary: polkit-gnome-1-WARNING **: Unable to determine the session we are in
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PolicyKit-gnome
Version: 12
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 589062 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 09:50 UTC by Jaiv
Modified: 2013-03-06 04:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:03:55 UTC


Attachments (Terms of Use)

Description Jaiv 2010-05-05 09:50:27 UTC
Description of problem:
I have huge problem with virt-manager as it displays errors below [1]. Problem
happened after I upgraded in quick succession from F10 to F11 and then to F12.
If I do yum update, it says "No Packages marked for Update" - so I'm pretty
sure my system is up-to-date F12.

My libvirt is running: 
root      8030     1  0 10:34 ?        00:00:00 libvirtd --daemon

However my polkit agent is not running [2]. (not sure if it is a must)

Is there any other way how can I get inside my running virtual machine (ssh
does not work)?


Version-Release number of selected component (if applicable):
Package python-virtinst-0.500.1-2.fc12.noarch already installed and latest
version
Package 2:qemu-kvm-0.11.0-13.fc12.x86_64 already installed and latest version
Package virt-manager-0.8.2-3.fc12.noarch already installed and latest version
Package virt-viewer-0.2.0-1.fc12.x86_64 already installed and latest version
Package libvirt-0.7.1-15.fc12.x86_64 already installed and latest version

How reproducible:
Always

Steps to Reproduce:
1. Start virt-manager, try to connect to qemu:///system
2.
3.

Actual results:
Displayed below in [1]

Expected results:
I shoutl see my virtual machines.

Additional info:
My virtual machines are working, I can get them start with virsh but not with
virt-manager.

[1]
Unable to open connection to hypervisor URI 'qemu:///system':
authentication failed
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 872, in
_try_open
    None], flags)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 102, in openAuth
    if ret is None:raise libvirtError('virConnectOpenAuth() failed')
libvirtError: authentication failed

Error starting Virtual Machine Manager: Failed to contact configuration server;
some possible causes are that you need to enable TCP/IP networking for ORBit,
or you have stale NFS locks due to a system crash. See
http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get
connection to session: Did not receive a reply. Possible causes include: the
remote application did not send a reply, the message bus security policy
blocked the reply, the reply timeout expired, or the network connection was
broken.)
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 404, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 335, in main
    icon_dir, data_dir)
  File "/usr/share/virt-manager/virtManager/config.py", line 89, in __init__
    gconf.CLIENT_PRELOAD_NONE)
GError: Failed to contact configuration server; some possible causes are that
you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due
to a system crash. See http://projects.gnome.org/gconf/ for information.
(Details -  1: Failed to get connection to session: Did not receive a reply.
Possible causes include: the remote application did not send a reply, the
message bus security policy blocked the reply, the reply timeout expired, or
the network connection was broken.)

[2]
# /usr/libexec/polkit-gnome-authentication-agent-1 &
/[1/] 22686
# 
(polkit-gnome-authentication-agent-1:22686): polkit-gnome-1-WARNING **: Unable
to determine the session we are in: Remote Exception invoking
org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess() on
/org/freedesktop/ConsoleKit/Manager at name org.freedesktop.ConsoleKit:
org.freedesktop.ConsoleKit.Manager.GeneralError: Unable to lookup session
information for process '22686' org.freedesktop.ConsoleKit.Manager.GeneralError
Unable%20to%20lookup%20session%20information%20for%20process%20%2722686%27

Comment 1 Jaiv 2010-05-05 09:51:33 UTC
*** Bug 589062 has been marked as a duplicate of this bug. ***

Comment 2 Cole Robinson 2010-05-10 15:57:18 UTC
All those errors make me think something is messed up in your environment, probably some side effect of updating from F10 to F12. Not really sure how to debug though. Reassigning to PolicyKit, maybe the devs have a better idea.

Comment 3 Bug Zapper 2010-11-03 15:35:51 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 15:03:55 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.